# Uses of Interface
javax.swing.DesktopManager

Packages that use DesktopManager
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

- ## Uses of DesktopManager in javax.swing

  Classes in javax.swing that implement DesktopManager
  Modifier and Type
  Class
  Description
  `class`
  `DefaultDesktopManager`
  This is an implementation of the `DesktopManager`.
  Methods in javax.swing that return DesktopManager
  Modifier and Type
  Method
  Description
  `DesktopManager`
  JDesktopPane.`getDesktopManager()`
  Returns the `DesktopManger` that handles desktop-specific UI actions.
  Methods in javax.swing with parameters of type DesktopManager
  Modifier and Type
  Method
  Description
  `void`
  JDesktopPane.`setDesktopManager(DesktopManager d)`
  Sets the `DesktopManger` that will handle desktop-specific UI actions.

- ## Uses of DesktopManager in javax.swing.plaf.basic

  Fields in javax.swing.plaf.basic declared as DesktopManager
  Modifier and Type
  Field
  Description
  `protected DesktopManager`
  BasicDesktopPaneUI.`desktopManager`
  The instance of `DesktopManager`.
  Methods in javax.swing.plaf.basic that return DesktopManager
  Modifier and Type
  Method
  Description
  `protected DesktopManager`
  BasicInternalFrameUI.`createDesktopManager()`
  Creates the desktop manager.
  `protected DesktopManager`
  BasicInternalFrameUI.`getDesktopManager()`
  Returns the proper DesktopManager.